MONGOC_BULK_OPERATION_INSERT(3)

NAME
mongoc_bulk_operation_insert - mongoc_bulk_operation_insert()

SYNOPSIS

        void
        mongoc_bulk_operation_insert (mongoc_bulk_operation_t *bulk,
                                      const bson_t *document);

Queue an insert of a single document into a bulk operation. The insert is not performed until mongoc_bulk_operation_execute() is called.

This function is superseded by mongoc_bulk_operation_insert_with_opts().

PARAMETERS

    •   bulk: A mongoc_bulk_operation_t.

    •   document: A bson_t.

ERRORS

Errors are propagated via mongoc_bulk_operation_execute().

SEE ALSO:
        bulk

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc